WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] RSS Broken in WP 2.0.4 (4 posts)

  1. kabitzin
    Member
    Posted 7 years ago #

    I just upgraded to 2.0.4 and now my feeds are both broken. I get this message:

    <code>Warning: Cannot modify header information - headers already sent by (output started at /home/seaslug/public_html/index.php:3) in /home/seaslug/public_html/wp-commentsrss2.php on line 8</code>

    and

    <code>Warning: Cannot modify header information - headers already sent by (output started at /home/seaslug/public_html/index.php:3) in /home/seaslug/public_html/wp-commentsrss2.php on line 8</code>

    I have already tried disabling all my plugins, and nothing changed. My website is at http://www.seaslugteam.com

    Any ideas or suggestions would be greatly appreciated!

  2. drmike
    Member
    Posted 7 years ago #

    Have you modified index.php?

    FAQ on the subject.

  3. Chris_K
    Member
    Posted 7 years ago #

    Usually, when I see headers already sent in a feed, I go looking for plugins with an extra space before or after the opening and closing (<?php and ?>) tags.

  4. kabitzin
    Member
    Posted 7 years ago #

    drmike: Thanks for that awesome FAQ link. The problem was an extra space in the middle of one of the files. The FAQ showed me how to narrow down where the problem was, and now my feeds work.

    As HandySolo mentioned, I also thought it might be an extra space at the beginning/end of one of the plugins, but the problem still occurred even when plugins were all disabled.

Topic Closed

This topic has been closed to new replies.

About this Topic